## com.arsdigita.cms.docmgr.installer
Class MimeIconInitializer

    java.lang.Object
      com.arsdigita.cms.docmgr.installer.MimeIconInitializer

All Implemented Interfaces:
  com.arsdigita.initializer.Initializer

public class MimeIconInitializer
extends Object
implements com.arsdigita.initializer.Initializer

Initializes mime-type to icon map.

Author:
  Crag Wolfe

Field Summary
`static String` `DEFAULT_ICON`
`static String` `ICON_URL_ROOT`
`static String` `MIME_ICON_MAP`

Fields inherited from interface com.arsdigita.initializer.Initializer
`versionId`

Constructor Summary
`MimeIconInitializer()`

Method Summary
`com.arsdigita.initializer.Configuration` `getConfiguration()` Returns the configuration object used by this initializer.
`static String` `getMimeIconURL(String mimeTypeName)`
`void` `shutdown()` Shutdown the document manager.
`void` `startup()` Called on startup.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ICON_URL_ROOT

    public static String ICON_URL_ROOT

### MIME_ICON_MAP

    public static final String MIME_ICON_MAP

See Also:
  Constant Field Values

### DEFAULT_ICON

    public static final String DEFAULT_ICON

See Also:
  Constant Field Values

Constructor Detail

### MimeIconInitializer

    public MimeIconInitializer()

Method Detail

### getConfiguration

    public com.arsdigita.initializer.Configuration getConfiguration()

  Returns the configuration object used by this initializer.

  Specified by:
    `getConfiguration` in interface `com.arsdigita.initializer.Initializer`

### startup

    public void startup()

  Called on startup.

  Specified by:
    `startup` in interface `com.arsdigita.initializer.Initializer`

### getMimeIconURL

    public static String getMimeIconURL(String mimeTypeName)

### shutdown

    public void shutdown()

  Shutdown the document manager.

  Specified by:
    `shutdown` in interface `com.arsdigita.initializer.Initializer`

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1113 UTC